## PhoshDBusNotification

PhoshDBusNotification — A notifiction submitted via the DBus notification interface

## Functions

PhoshDBusNotification * | phosh_dbus_notification_new ()

## Types and Values

#define | PHOSH_TYPE_DBUS_NOTIFICATION
| PhoshDBusNotification

## Object Hierarchy

        GObject
        ╰── PhoshNotification
            ╰── PhoshDBusNotification

## Description

The PhoshDBusNotification is a notification submitted via the org.freedesktop.Notification interface.

## Functions

### phosh_dbus_notification_new ()

    PhoshDBusNotification *
    phosh_dbus_notification_new (guint id,
                                 const char *app_name,
                                 GAppInfo *info,
                                 const char *summary,
                                 const char *body,
                                 GIcon *icon,
                                 GIcon *image,
                                 PhoshNotificationUrgency urgency,
                                 GStrv actions,
                                 gboolean transient,
                                 gboolean resident,
                                 const char *category,
                                 GDateTime *timestamp);

## Types and Values

### PHOSH_TYPE_DBUS_NOTIFICATION

    #define PHOSH_TYPE_DBUS_NOTIFICATION     phosh_dbus_notification_get_type ()

### PhoshDBusNotification

    typedef struct _PhoshDBusNotification PhoshDBusNotification;